Wallet

Generate private key

AuthBearer (JWT)
GroupWallet
Rate limitSee Rate Limits
POST/api/wallet/generate-key

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const wallet = new WalletApi(configuration);
import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const wallet = new WalletApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await wallet.generatePrivateKey(
  {
    currency: "MOP"
  }
);
const { data: result } = await wallet.generatePrivateKey(
  {
    currency: "MOP"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Request Body

json
{
  "currency": "BTC"
}
{
  "currency": "BTC"
}

Responses

200Private key generated
json
{
  "success": true,
  "data": {
    "currency": "BTC",
    "privateKey": "L5EZftvrYaSudiozVRzTqLcHLNDoVn7H5HSfM9BAN6pMA5zoi3WZ",
    "publicKey": "02a1633cafcc01ebfb6d78e39f687a1f0995c62fc95f51ead10a02ee0be551b5fb",
    "warning": "This private key is shown only once. Store it securely."
  }
}
{
  "success": true,
  "data": {
    "currency": "BTC",
    "privateKey": "L5EZftvrYaSudiozVRzTqLcHLNDoVn7H5HSfM9BAN6pMA5zoi3WZ",
    "publicKey": "02a1633cafcc01ebfb6d78e39f687a1f0995c62fc95f51ead10a02ee0be551b5fb",
    "warning": "This private key is shown only once. Store it securely."
  }
}
400
401

Errors

CodeMeaning
400
401
Edit this page on GitHub